summaryrefslogtreecommitdiff
path: root/tests/t1101-busy-partition.sh
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2011-05-10 19:29:23 +0200
committerJim Meyering <meyering@redhat.com>2011-05-12 20:53:48 +0200
commit01747afe8208b00fe59dad96037dea1d1bac4b88 (patch)
tree93bb2555b3969d5f33ab4ac104e47066f9ee0055 /tests/t1101-busy-partition.sh
parente585d1279131c468f271f1a602ba72af66dfc98b (diff)
downloadparted-01747afe8208b00fe59dad96037dea1d1bac4b88.tar.gz
tests: adapt t1101-busy-partition not to use mkpartfs
* tests/t1101-busy-partition.sh: Use mkfs.vfat instead.
Diffstat (limited to 'tests/t1101-busy-partition.sh')
-rwxr-xr-xtests/t1101-busy-partition.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/t1101-busy-partition.sh b/tests/t1101-busy-partition.sh
index f7aab83..116d326 100755
--- a/tests/t1101-busy-partition.sh
+++ b/tests/t1101-busy-partition.sh
@@ -37,15 +37,17 @@ parted -s "$dev" mklabel msdos > out 2>&1 || fail=1
# expect no output
compare out /dev/null || fail=1
-parted -s "$dev" mkpartfs primary fat32 1 40 > out 2>&1 || fail=1
+parted -s "$dev" mkpart primary fat32 1 40 > out 2>&1 || fail=1
compare out /dev/null || fail=1
-parted -s "$dev" mkpartfs primary fat32 40 80 > out 2>&1 || fail=1
+parted -s "$dev" mkpart primary fat32 40 80 > out 2>&1 || fail=1
compare out /dev/null || fail=1
# wait for new partition device to appear
wait_for_dev_to_appear_ ${dev}2 || fail_ ${dev}2 did not appear
+mkfs.vfat -F 32 ${dev}2 || skip_ mkfs.vfat failed
+
# be sure to unmount upon interrupt, failure, etc.
cleanup_fn_() { umount "${dev}2" > /dev/null 2>&1; }